%def_disable static

Name: libidn
Version: 1.8
Release: alt1

Group: System/Libraries
Summary: Support for Internationalized Domain Names (IDN)
Url: http://www.gnu.org/software/libidn/
License: LGPL

Source0: http://josefsson.org/libidn/releases/libidn-%version.tar.gz
Patch1: libidn-0.5.18-nojavadoc.patch

# Automatically added by buildreq on Tue May 25 2004 (-bi)
#BuildRequires: gcc-c++ gcc-g77 libstdc++-devel pkgconfig
BuildRequires: gcc-c++ libstdc++-devel pkg-config
#BuildRequires:  gcc-java

%description
GNU Libidn is an implementation of the Stringprep, Punycode, and IDNA
specifications defined by the IETF Internationalized Domain Names (IDN)
working group. It is used to prepare internationalized strings (such as
domain name labels, usernames, and passwords) in order to increase the
likelihood that string input and string comparison work in ways that
make sense for typical users around the world. The library contains a
generic Stringprep implementation that does Unicode 3.2 NFKC
normalization, mapping and prohibition of characters, and bidirectional
character handling. Profiles for iSCSI, Kerberos 5, Nameprep, SASL, and
XMPP are included. Punycode and ASCII Compatible Encoding (ACE) via
IDNA is supported.

Authors:
--------
    Simon Josefsson <simon@josefsson.org>

%package devel
Group: System/Libraries
Summary: Include files and libraries mandatory for %name
Requires: %name = %version-%release
PreReq(post,preun): info-install
#
%description devel
Include files and libraries mandatory for %name

Authors:
--------
    Simon Josefsson <simon@josefsson.org>

%package devel-static
Group: System/Libraries
Summary: Static libraries of %name
Requires: %name-devel = %version-%release
#
%description devel-static
Static libraries of %name

Authors:
--------
    Simon Josefsson <simon@josefsson.org>

%prep
%setup -q
#%patch1 -p1
#autoreconf -fisv

%build
%configure \
    %{subst_enable static} \
    --with-gnu-ld \
    --disable-rpath
#    --enable-java

%make_build

%install
make DESTDIR=%buildroot install
rm -rf docs
cp -ar doc docs
rm -rf docs/man docs/texi

%find_lang %name

%post
%post_ldconfig
%postun
%postun_ldconfig

%post devel
%install_info libidn.info
%postun devel
%uninstall_info libidn.info


%files -f %name.lang
%doc AUTHORS ChangeLog FAQ NEWS README THANKS TODO
%_libdir/*.so.*

%_bindir/idn
%_man1dir/*
#/usr/share/emacs/site-lisp/idna.el
#/usr/share/emacs/site-lisp/punycode.el

%files devel
%doc docs
%_infodir/*
%_mandir/man3/*
#
%_libdir/*.so
%_includedir/*.h
%_libdir/pkgconfig/*.pc

%if_enabled static
%files -n %name-devel-static
%_libdir/*.a
%endif

%changelog
* Wed Apr 30 2008 Sergey V Turchin <zerg at altlinux dot org> 1.8-alt1
- new version

* Tue Jan 22 2008 Sergey V Turchin <zerg at altlinux dot org> 1.4-alt1
- new version

* Thu Dec 20 2007 Sergey V Turchin <zerg at altlinux dot org> 1.3-alt1
- new version

* Wed Jul 18 2007 Sergey V Turchin <zerg at altlinux dot org> 0.6.14-alt1
- new version

* Fri Jan 26 2007 Sergey V Turchin <zerg at altlinux dot org> 0.6.10-alt1
- new version

* Fri Jun 02 2006 Sergey V Turchin <zerg at altlinux dot org> 0.6.3-alt1
- new version

* Fri Aug 12 2005 Sergey V Turchin <zerg at altlinux dot org> 0.5.18-alt1
- new version

* Thu Feb 10 2005 Sergey V Turchin <zerg at altlinux dot org> 0.5.13-alt1
- new version

* Tue Jan 11 2005 Sergey V Turchin <zerg at altlinux dot org> 0.5.12-alt1
- new version

* Mon Sep 27 2004 Sergey V Turchin <zerg at altlinux dot org> 0.5.5-alt1
- new version

* Tue May 25 2004 Sergey V Turchin <zerg at altlinux dot org> 0.4.6-alt1
- initial spec
